all:
	csant -D$(CSC_NAME)=$(CSC) -C $(CSC_NAME)
	chmod 0755 *.exe

clean:
	rm -rf *.exe

distclean: clean

install:
	mkdir -p $(DESTDIR)$(datadir)/doc/qtcsharp/tutorials
	cat t1.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/tutorials/t1.cs.gz
	cat t2.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/tutorials/t2.cs.gz
	cat t3.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/tutorials/t3.cs.gz
	cat t4.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/tutorials/t4.cs.gz
	cat t5.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/tutorials/t5.cs.gz
	cat t6.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/tutorials/t6.cs.gz
	cat t7.cs | gzip -9c > $(DESTDIR)$(datadir)/doc/qtcsharp/tutorials/t7.cs.gz

uninstall:
	rm -rf $(datadir)/doc/qtcsharp/tutorials/*.cs.gz
	rm -rf $(datadir)/doc/qtcsharp/tutorials/*.cs

.PHONY: all clean distclean install
